Skip to content

Overview of the text series ​

Text series covers OpenAI-compatible, Messages, Responses, embeddings, voice, transcription, translation and model queries. It is suitable for chat applications, smart assistants, content generation, semantic retrieval and voice processing.

Route List ​

MethodologyPathPurpose
POST/v1/chat/completionsDialogue completion, suitable for most chat clients.
POST/v1/responsesResponses format, suitable for multi-modular input and tool call style.
POST/v1/responses/compactLong dialogue context compression.
POST/v1/messagesMessages format, suitable for Claude compatible client.
POST/v1/embeddingsText embeddings, suitable for retrieval and clustering.
POST/v1/audio/speechText to voice.
POST/v1/audio/transcriptionsAudio transcription.
POST/v1/audio/translationsAudio translation.
GET/v1/modelsQuery the current API Key available model.
GET/v1/models/{modelid}Query for individual model details.

Basic Configuration ​

text
Base URL: https://moonnexai.com/v1
Authorization: Bearer <MOONNEXAI_API_KEY>

Standard request ​

bash
curl https://moonnexai.com/v1/chat/completions \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-5.6-terra",
    "messages": [
      {
        "role": "user",
        "content": "写一句简短的产品欢迎语。"
      }
    ]
  }'

Recommended order of reading ​

  1. Quickstart
  2. Text Model Matrix
  3. Chat with Reponses
  4. Chat Completions
  5. Responses
  6. Messages
  7. Vector & Audio
  8. Text vector
  9. Text-to-Speech
  10. Reproduction and translation
  11. Model Query